The Pathlore LMS Web Administrative system requires Microsoft Internet Explorer version 6.0 or higher.

A copy can be downloaded from http://www.microsoft.com.